############################################################################## 
#
#  File:    CFolder.py
#  Project: CClasses
#
#  (c) Lennart Regebro, 2000.
#
############################################################################## 
__doc__='''CFolder class, of CClasses product
'''
__version__='1.0'

from OFS.Folder import Folder
from Products.ZCatalog.CatalogAwareness import CatalogAware
from Globals import HTMLFile
import Navigator, Content

addCFolderForm = HTMLFile('addCFolderForm', globals()) 

def addCFolder(self, id, title, REQUEST=None):
    """Add a CFolder to a collection object."""
    ob=CFolder()
    ob.id=id
    ob.title=title
    self._setObject(id, ob)

    if REQUEST is not None:
        return self.manage_main(self, REQUEST, update_menu=1)

class CFolder(Folder): 
    """CFolder class, of LUFClasses product
    CFolder is a Folder that creates a Content and a Navigator object as standard.
    """

    meta_type = 'CFolder'

    def manage_afterAdd(self, item, container):
        Folder.manage_afterAdd(self, item, container)

        try: user=REQUEST['AUTHENTICATED_USER']
        except: user=None

        if (user is not None) and not (
            user.has_permission('Add Documents, Images, and Files', self)):
            raise 'Unauthorized', (
                  'You are not authorized to add Navigators.'
                   )

        try:
            self._setObject('DefaultNavigator', Navigator.Navigator('DefaultNavigator'))
            self._setObject('Content', Content.Content('Content'))
        except:
            pass

    def _setPropValue(self, id, value):
        Folder._setPropValue(self, id, value)
        if id == 'title':
            for object in self.objectValues('Navigator'):
                object.reindex_object()
        
