############################################################################## 
#
#  File:    __init__.py
#  Project: TClasses 1.0
#
#  (c) Lennart Regebro, 2000.
#
############################################################################## 
__doc__ = """TClasses initialization module."""
__version__ = '1.0' # Anything more and it'd be Interesting.  

import Content
import CFolder
import Navigator

def initialize(context): 
    
    try: 
        """Try to register the product."""
        
        context.registerClass(
            CFolder.CFolder,
            constructors = (
                CFolder.addCFolderForm, # Called when creating
                CFolder.addCFolder),    # Does the actual creation
            icon = 'CFolder_icon.gif'
            )

        context.registerClass(
            Content.Content,
            constructors = (
                Content.addContentForm, # Called when creating
                Content.addContent),    # Does the actual creation
            icon = 'Content_icon.gif'
            )

        context.registerClass(
            Navigator.Navigator,
            constructors = (
                Navigator.addNavigatorForm, # Called when creating
                Navigator.addNavigator),    # Does the actual creation
            icon = 'Navigator_icon.gif'
            )
       
    except:
        """Stupid englishperson! I fart in your general direction!"""
        
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
